#ifndef CORE_HPP
#define CORE_HPP

/** \file
* This file must be included by any other file which uses the core API,
* and should be the only one included.
* The whole API is accessed by the namespace "Core"
**/

#include "core/Kernel.hpp"
#include "core/ParallelPlayer.hpp"
#include "core/ConsolePlayer.hpp"
#include "core/GameState.hpp"
#include "core/Events.hpp"

#endif
