#ifndef DEF_TROPHIES_DRAWER
#define DEF_TROPHIES_DRAWER

#include "AnimatedSprite.hpp"
#include "Message.hpp"
#include "Constants.hpp"
#include "StatManager.hpp"
#include "TextManager.hpp"
#include "stringSplit.hpp"

class TrophiesDrawer {
public:
    TrophiesDrawer();
    void update(sf::RenderWindow &app);

private:
    AnimatedSprite m_background;
    AnimatedSprite m_trophyPicture;
    Message m_textTrophy;
    Message m_nameTrophy;
    int m_trophyDrawn;
    
    bool m_isDrawn;
    sf::Clock m_timer;
};


#endif

