#ifndef GEOMETRY
#define GEOMETRY

#include <SFML/Graphics.hpp>
#include <cstdlib>
#include <math.h>
#include "Constants.hpp"

/** \file geometry.hpp
*    \author Leo.V$
*    \brief Some rotation functions for vectors
**/


/** \brief Apply a rotation on a SFML vector object. **/
sf::Vector2f rotateVector(sf::Vector2f input, double angle);
sf::Vector2f rotateVector(int x, int y, double angle);

#endif
