#include "GUI.hpp"

using namespace std;

void GUI::run_mode_selection_loop() {

    vector<Message> mess;
	vector<TextButton> text_butt;
	vector<GraphicButton> graph_butt;
	vector<Function> func;

    // Title message
    mess.emplace_back(WINDOW_WIDTH/2, WINDOW_HEIGHT/10, TITLE_FONT_SIZE, "title", "GreatVibes-Regular.ttf", WHITE, Align::CENTER, sf::Text::Bold);

    // Buttons of main menu
	text_butt.emplace_back(WINDOW_WIDTH/2, SELECTION_MENU_SPACE_UNDER_TITLE+2*MENU_OFFSET, MENU_BUTTON_FONT_SIZE, "single", "MPlantin_0.ttf", GRAY, GRAY_LIT, BLACK);
	func.push_back(Function::GAME_LOOP);

    text_butt.emplace_back(WINDOW_WIDTH/2, SELECTION_MENU_SPACE_UNDER_TITLE+3*MENU_OFFSET, MENU_BUTTON_FONT_SIZE, "multi", "MPlantin_0.ttf", GRAY, GRAY_LIT, BLACK);
    if (optionManager()->is_online()){
        func.push_back(Function::MULTIPLAYER_SELECTION);
    } else {
        func.push_back(Function::NONE);
        mess.emplace_back(WINDOW_WIDTH/2,SELECTION_MENU_SPACE_UNDER_TITLE+3*MENU_OFFSET+40*SCALE_RESOLUTION, OPTION_FONT_SIZE, "onlineWarning", "MPlantin_0.ttf", RED, Align::CENTER);
    }

	text_butt.emplace_back(WINDOW_WIDTH/2, WINDOW_HEIGHT-(100*WINDOW_WIDTH)/1080, MENU_BUTTON_FONT_SIZE, "back", "MPlantin_0.ttf", GRAY, GRAY_LIT, BLACK);
	func.push_back(Function::QUIT);

    run_loop(mess,text_butt, graph_butt, func);
}
