#include "GUI.hpp"

using namespace std;

void GUI::run_multiplayer_selection(){

    vector<Message> mess;
    vector<TextButton> text_butt;
    vector<GraphicButton> graph_butt;
    vector<Function> func;

    // Title message
	mess.emplace_back(WINDOW_WIDTH/2, WINDOW_HEIGHT/10, TITLE_FONT_SIZE, "title", "GreatVibes-Regular.ttf", WHITE, Align::CENTER, sf::Text::Bold);

    // TextButtons
	text_butt.emplace_back(WINDOW_WIDTH/2, SELECTION_MENU_SPACE_UNDER_TITLE2+MENU_OFFSET, MENU_BUTTON_FONT_SIZE, "createGame", "MPlantin_0.ttf", GRAY, GRAY_LIT, BLACK);
    func.push_back(Function::MULTI_CREATE_GAME);

    text_butt.emplace_back(WINDOW_WIDTH/2, SELECTION_MENU_SPACE_UNDER_TITLE2+2*MENU_OFFSET, MENU_BUTTON_FONT_SIZE, "joinGame", "MPlantin_0.ttf", GRAY, GRAY_LIT, BLACK);
    func.push_back(Function::MULTI_JOIN_GAME);

    text_butt.emplace_back(WINDOW_WIDTH/2, SELECTION_MENU_SPACE_UNDER_TITLE2+3*MENU_OFFSET, MENU_BUTTON_FONT_SIZE, "findGame", "MPlantin_0.ttf", GRAY, GRAY_LIT, BLACK);
    func.push_back(Function::MULTI_FIND_GAME);

    text_butt.emplace_back(WINDOW_WIDTH/2, WINDOW_HEIGHT-(100*WINDOW_WIDTH)/1080, MENU_BUTTON_FONT_SIZE, "back", "MPlantin_0.ttf", GRAY, GRAY_LIT, BLACK);
    func.push_back(Function::QUIT);

    run_loop(mess,text_butt,graph_butt,func);
}
