#include "GUI.hpp"

using namespace std;

void GUI::run_tutorial_menu() {

    vector<Message> mess;
    vector<TextButton> text_butt;
    vector<GraphicButton> graph_butt;
    vector<Function> func;

    // Title message
    mess.emplace_back(WINDOW_WIDTH/2, WINDOW_HEIGHT/10, TITLE_FONT_SIZE, "title", "GreatVibes-Regular.ttf", WHITE, Align::CENTER, sf::Text::Bold);

    // Text Buttons
    text_butt.emplace_back(WINDOW_WIDTH/2, SELECTION_MENU_SPACE_UNDER_TITLE2+1*MENU_OFFSET, MENU_BUTTON_FONT_SIZE, "tuto_cards", "MPlantin_0.ttf", GRAY, GRAY_LIT, BLACK);
    func.push_back(Function::TUTORIAL_CARDS_LOOP);

    text_butt.emplace_back(WINDOW_WIDTH/2, SELECTION_MENU_SPACE_UNDER_TITLE2+2*MENU_OFFSET, MENU_BUTTON_FONT_SIZE, "tuto_trick", "MPlantin_0.ttf", GRAY, GRAY_LIT, BLACK);
    func.push_back(Function::TUTORIAL_TRICKS_LOOP);

    text_butt.emplace_back(WINDOW_WIDTH/2, SELECTION_MENU_SPACE_UNDER_TITLE2+3*MENU_OFFSET, MENU_BUTTON_FONT_SIZE, "tuto_bet", "MPlantin_0.ttf", GRAY, GRAY_LIT, BLACK);
    func.push_back(Function::TUTORIAL_BET_LOOP);

    text_butt.emplace_back(WINDOW_WIDTH/2, SELECTION_MENU_SPACE_UNDER_TITLE2+4*MENU_OFFSET, MENU_BUTTON_FONT_SIZE, "tuto_flow", "MPlantin_0.ttf", GRAY, GRAY_LIT, BLACK);
    func.push_back(Function::TUTORIAL_FLOW_LOOP);

    text_butt.emplace_back(WINDOW_WIDTH/2, WINDOW_HEIGHT-(100*WINDOW_WIDTH)/1080, MENU_BUTTON_FONT_SIZE, "back", "MPlantin_0.ttf", GRAY, GRAY_LIT, BLACK);
    func.push_back(Function::QUIT);

    run_loop(mess,text_butt,graph_butt,func);
}
