The Core Module
===

# Includes needed
Just include `core/Core.hpp`, and use the namespace Core.
Examples in `core/src/main.cpp`

# Running the kernel
Read `main.cpp`

Basicaly, in the main, 
- Create the players
- Create the Kernel and give it the Players
- Run the kernel, with `Kernel::run()`, in a separate thread if you want

# What YOU need to do
- Create your own subclass, for example `GUIPlayer`, or `AIPlayer`
- It must inherit from `Player`, and implement its functions

# The functions
Look at `Player.hpp`.

- The constructor
- The destructor
- `bet()`: The Kernel will call this when it wants the player to bet. It must return the bet.
    Look at `Bet.hpp` to see what a bet looks like
- `play()`: idem, when it is Player's turn, Kernel will call this function. It must return the 
    card you want to play. Look at `Card.hpp`
- `mechoune()`: If Kernel want to know if you mechouned, it will call this.
- `choune()`: If Kernel want to know if you chouned, it will call this.

Now, GET BACK TO WORK
