Communications distantes pendant le jeu:

Chaque message fait exactement 20 bytes;

Le premier octet de chaque message est un header permettant de savoir de quoi il s'agit. (cf. GameMessages::MessageHeader)


Sens des headers:

AskBet
AskPlay
AskMechoune
AskChoune:
    RemotePlayer (serveur) -> RemoteKernel (client)
    Simple demande d'action

Bet
Play
Mechoune
Choune:
    RemoteKernel (client) -> RemotePlayer (server)
    Réponse aux AskSomething

NotifyBet
NotifyPlay
NotifyCards
NotifyMechoune
NotifyChoune
NotifyNextPlayer
NotifyTrickWin
NotifyEndBetState
NotifyEndCardState:
    RemoteGameState (serveur) -> RemoteKernel (client)
    Forward le notify_something appelé par le Kernel (serveur) pour le GameState du RemotePlayer

InitGameState:
    RemotePlayer (serveur) -> RemoteKernel (client)
    Demande d'initialiser le GameState (client) avec l'id fournie par le Kernel après l'appel à RemotePlayer::set_game_state


Arguments:

AskBet: none
AskPlay: none
AskMechoune: none
AskChoune: none
Bet: argument de type Core::Bet
Play: argument de type Core::Card
Mechoune: bool
Choune: bool
NotifyBet: Core::Bet
NotifyPlay: Core::Card
NotifyCards:Core::Hand
NotifyMechoune: int
NotifyChoune: bool
NotifyNextPlayer: int
NotifyTrickWin: int
NotifyEndBetState: none
NotifyEndCardState: none
InitGameState: int


Encodage des arguments:

Bet: value sur le 2e byte (après le header), trump sur le 3e
Card: value puis suit
Hand: nombre de cartes sur le 2e, puis value et suit (dans cet ordre) pour chaque carte
int: cast en char sur le deuxième octet (tout est entre 0 et 255)
bool: cast en char sur le deuxième octet