#ifndef DEF_CURSOR
#define DEF_CURSOR

#include "RessourceManager.hpp"

/** \file Cursor.hpp
*   \author GUIllaume.C
* \brief Definition of Cursor class, that is a sprite that can replace the mouse with any image.
**/


/** \brief An image that can replace the mouse's sprite **/
class Cursor {
    public:
        Cursor();
        void update(float const mouse_x, float const mouse_y, sf::RenderWindow &bliton);
    private:
        sf::Sprite m_cursorSprite;
};

#endif
