#ifndef DEF_BET_TOKEN
#define DEF_BET_TOKEN

#include "AnimatedSprite.hpp"

/** \file Token.hpp
    \author Mathieu.V
    \brief Definition of class Token
**/

/** **/
class Token: public AnimatedSprite {

public:
    Token();

    void set_black();
    void set_white();
    void set_gray();
    void set_number(int i);

private:
    bool m_isCompleted;
};

#endif
