#include "PlayerDisplay.hpp"

using namespace sf;

int const PlayerIcon::ICON_SIZE = 80*SCALE_RESOLUTION;

//____________________Constructor_______________________

PlayerIcon::PlayerIcon(int size) :
AnimatedSprite::AnimatedSprite(size, size, true){
	m_isActive = false;
}

PlayerIcon::PlayerIcon(std::string const &spriteName, int size):
PlayerIcon::PlayerIcon(size) {
	set_texture(spriteName);
}

//____________________Turn_fonction_____________________

void PlayerIcon::your_turn(){
	m_isActive = true;
}
void PlayerIcon::end_turn(){
	m_isActive = false;
}
