#include "Token.hpp"

Token::Token() : AnimatedSprite(WIDTH_TOKEN, WIDTH_TOKEN) {
    m_isCompleted = false;
    set_texture("sprites_token/token_white.png");
}

void Token::set_black() {
    set_texture("sprites_token/token_black.png");
}

void Token::set_white() {
    set_texture("sprites_token/token_white.png");
}

void Token::set_gray() {
    set_texture("sprites_token/token_gray.png");
}

void Token::set_number(int i) {
    std::string number = std::to_string(i);
    set_texture("sprites_token/token_" + number + ".png");
}
