#include "GUI.hpp"
#include "PlayerDisplay.hpp"
#include "ScoreDisplay.hpp"
#include <iostream>

/* TESTING FILE */

using namespace std;

void GUI::run_test() {

	Background theBackground("menu_background.png");

	EndGameDisplay test;

	// Event handling
	sf::Event event;

	// Cursor
	sf::Vector2i mousePos;
	//bool clicked = false;

    while (app.isOpen()) {

		 mousePos = sf::Mouse::getPosition(app);

		 // #1 Event handling
         while(app.pollEvent(event)) {

			 switch (event.type) {
			 	case sf::Event::Closed:
			 		app.close();

			 	case sf::Event::KeyPressed: {
			 		if(event.key.code == sf::Keyboard::Escape)
						app.close();
			 	   	break;
			    }

		 	   case sf::Event::MouseButtonPressed :
			 	   if (event.mouseButton.button == sf::Mouse::Left) {
				   }
			 	   break;

			 	// we don't process other types of events
			 	default:
			 		break;
			 }
		 }

		 // #2 Various objects update
		 theBackground.update(app);

		 test.update(app,mousePos);

		 m_trophiesDrawer.update(app);

		 // #3 Screen display
         app.display();
     }
}
