#include "Button.hpp"

Button::Button() {
    m_isLit = false;
    m_isSelected = false;
}

bool Button::is_lit() const {
    return m_isLit;
}

bool Button::is_selected() const {
    return m_isSelected;
}

void Button::lock() {
    m_isSelected = true;
}

void Button::unlock() {
    m_isSelected = false;
}

void Button::force_lit() {
  m_isLit = true;
}
