
#include "geometry.hpp"

sf::Vector2f rotateVector(sf::Vector2f input, double angle){
    sf::Vector2f output;
    output.x = cos(angle*PI/180.0)*input.x + sin(angle*PI/180.0)*input.y;
    output.y = -sin(angle*PI/180.0)*input.x + cos(angle*PI/180.0)*input.y;
    return output;
}
sf::Vector2f rotateVector(int x, int y, double angle){
    sf::Vector2f output;
    output.x = cos(angle*PI/180.0)*x + sin(angle*PI/180.0)*y;
    output.y = -sin(angle*PI/180.0)*x + cos(angle*PI/180.0)*y;
    return output;
}
