#include "stringSplit.hpp"
#include <iostream>
#include <SFML/Graphics.hpp>
#include "RessourceManager.hpp"

int split_string(std::string &src , int fontSize, int width) {
    int nbLines = 1;
    int curWidth=0;
    int curInd;
    sf::Font font = RM.get_font("MPlantin_0.ttf");
    for (int i = 0 ; i< int(src.size()) ; i++) {
        curWidth+= font.getGlyph(src[i], fontSize, true).advance;
        if (curWidth>=width) { // End of a line. Go back to last beginned word and add a \n
            curWidth = 0;
            curInd = i;
            while ((src[curInd] != 32) and curInd>=0) {
                // Go back to where last 32 occured
                // 32 = ASCII code for space character
                curInd--;
                curWidth+= font.getGlyph(src[curInd], fontSize, true).advance;
            }
            if (curInd==-1) {
                std::cout << "Warning : You used a TutoBubble whose width is not large enough to fit one word ! Please increase the width\n";
            } else {
                src[curInd]='\n';
                nbLines++;
            }
        }
    }
    return nbLines;
}

int split_string(std::wstring &src , int fontSize, int width) {
    int nbLines = 1;
    int curWidth=0;
    int curInd;
    sf::Font font = RM.get_font("MPlantin_0.ttf");
    for (int i = 0 ; i< int(src.size()) ; i++) {
        curWidth+= font.getGlyph(src[i], fontSize, true).advance;
        if (curWidth>=width) { // End of a line. Go back to last beginned word and add a \n
            curWidth = 0;
            curInd = i;
            while ((src[curInd] != 32) and curInd>=0) {
                // Go back to where last 32 occured
                // 32 = ASCII code for space character
                curInd--;
                curWidth+= font.getGlyph(src[curInd], fontSize, true).advance;
            }
            if (curInd==-1) {
                std::cout << "Warning : You used a TutoBubble whose width is not large enough to fit one word ! Please increase the width\n";
            } else {
                src[curInd]='\n';
                nbLines++;
            }
        }
    }
    return nbLines;
}
